# Uses of Class
org.apache.lucene.analysis.compound.hyphenation.HyphenationTree

Packages that use HyphenationTree
Package
Description
org.apache.lucene.analysis.compound
A filter that decomposes compound words you find in many Germanic languages into the word parts.

- ## Uses of HyphenationTree in org.apache.lucene.analysis.compound

  Methods in org.apache.lucene.analysis.compound that return HyphenationTree
  Modifier and Type
  Method
  Description
  `static HyphenationTree`
  HyphenationCompoundWordTokenFilter.`getHyphenationTree(String hyphenationFilename)`
  Create a hyphenator tree
  `static HyphenationTree`
  HyphenationCompoundWordTokenFilter.`getHyphenationTree(InputSource hyphenationSource)`
  Create a hyphenator tree
  Constructors in org.apache.lucene.analysis.compound with parameters of type HyphenationTree
  Modifier
  Constructor
  Description
  ``
  `HyphenationCompoundWordTokenFilter(TokenStream input, HyphenationTree hyphenator)`
  Create a HyphenationCompoundWordTokenFilter with no dictionary.
  ``
  `HyphenationCompoundWordTokenFilter(TokenStream input, HyphenationTree hyphenator, int minWordSize, int minSubwordSize, int maxSubwordSize)`
  Create a HyphenationCompoundWordTokenFilter with no dictionary.
  ``
  `HyphenationCompoundWordTokenFilter(TokenStream input, HyphenationTree hyphenator, CharArraySet dictionary)`
  Creates a new `HyphenationCompoundWordTokenFilter` instance.
  ``
  `HyphenationCompoundWordTokenFilter(TokenStream input, HyphenationTree hyphenator, CharArraySet dictionary, int minWordSize, int minSubwordSize, int maxSubwordSize, boolean onlyLongestMatch)`
  Creates a new `HyphenationCompoundWordTokenFilter` instance.
  ``
  `HyphenationCompoundWordTokenFilter(TokenStream input, HyphenationTree hyphenator, CharArraySet dictionary, int minWordSize, int minSubwordSize, int maxSubwordSize, boolean onlyLongestMatch, boolean noSubMatches, boolean noOverlappingMatches)`
  Creates a new `HyphenationCompoundWordTokenFilter` instance.